import { PublicKey } from "@solana/web3.js";
import { resolveIndividual } from "./individual";
export const renderCommonResolver = resolveIndividual(async ({ path }) => {
    switch (path[path.length - 1]) {
        case "renderCreditsProgram":
            return new PublicKey("cred9X51LcyZgyDrJt3CmsLc1Y6v7kjyXbUL4VUJMjz");
        case "circuitBreakerProgram":
            return new PublicKey("circVph7iut5KFFEdc45V6whruKEduiCTnDDQ1iB1am");
        case "emissionDistributorProgram":
            return new PublicKey("distx4dCjTQQRNVoUn3pM1rVDUBoWRRYh1SK74xCGNA");
        case "emissionScheduleProgram":
            return new PublicKey("schdGUo2ZH1WmqxdB8ufmpAzij4FpPBa2Yzeq25HBX5");
        case "tokenMetadataProgram":
            return new PublicKey("metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s");
        case "bubblegumProgram":
            return new PublicKey("BGUMAp9Gq7iTEuizy4pqaxsTyUCBK68MDfK752saRPUY");
        case "compressionProgram":
            return new PublicKey("cmtDvXumGCrqC1Age74AVPhSRVXJMd8PJS91L8KbNCK");
        case "logWrapper":
            return new PublicKey("noopb9bkMVfRPU8AsbpTUg8AQkHtKwMYZiFUjNRtMmV");
        case "governanceProgramId":
            return new PublicKey("hgovkRU6Ghe1Qoyb54HdSLdqN7VtxaifBzRmh9jtd3S");
        case "instructions":
            return new PublicKey("Sysvar1nstructions1111111111111111111111111");
        default:
            return;
    }
});
//# sourceMappingURL=renderCommonResolver.js.map